import 'package:jiffy/jiffy.dart';

enum DateTimeEnums { tr, eng }



extension DateTimeToLocale on DateTimeEnums {
  String nowTime() {
    String now = Jiffy().yMMMMd; // alt sürümde bu çalışıyor
    String trTime = now
        .replaceAll(RegExp(r'January'), 'Ocak')
        .replaceAll(RegExp(r'February'), 'Şubat')
        .replaceAll(RegExp(r'March'), 'Mart')
        .replaceAll(RegExp(r'April'), 'Nisan')
        .replaceAll(RegExp(r'May'), 'Mayıs')
        .replaceAll(RegExp(r'June'), 'Haziran')
        .replaceAll(RegExp(r'July'), 'Temmuz')
        .replaceAll(RegExp(r'August'), 'Ağustos')
        .replaceAll(RegExp(r'September'), 'Eylül')
        .replaceAll(RegExp(r'October'), 'Ekim')
        .replaceAll(RegExp(r'November'), 'Kasım')
        .replaceAll(RegExp(r'December'), 'Aralık');
    return trTime;
  }
}
